Loading...
Searching...
No Matches
Halide::Internal::StorageDim Struct Reference

Properties of one axis of the storage of a Func. More...

`#include <Schedule.h>`

## Public Attributes

std::string | var
| The var in the pure definition corresponding to this axis.
Expr | alignment
| The bounds allocated (not computed) must be a multiple of "alignment".
Expr | bound
| The bounds allocated (not computed).
Expr | fold_factor
| If the Func is explicitly folded along this axis (with Func::fold_storage) this gives the extent of the circular buffer used, and whether it is used in increasing order (fold_forward = true) or decreasing order (fold_forward = false).
bool | fold_forward

## Detailed Description

Properties of one axis of the storage of a Func.

Definition at line 503 of file Schedule.h.

## Member Data Documentation

## var

std::string Halide::Internal::StorageDim::var

The var in the pure definition corresponding to this axis.

Definition at line 505 of file Schedule.h.

## alignment

Expr Halide::Internal::StorageDim::alignment

The bounds allocated (not computed) must be a multiple of "alignment".

Set by Func::align_storage.

Definition at line 509 of file Schedule.h.

## bound

Expr Halide::Internal::StorageDim::bound

The bounds allocated (not computed).

Set by Func::bound_storage.

Definition at line 512 of file Schedule.h.

## fold_factor

Expr Halide::Internal::StorageDim::fold_factor

If the Func is explicitly folded along this axis (with Func::fold_storage) this gives the extent of the circular buffer used, and whether it is used in increasing order (fold_forward = true) or decreasing order (fold_forward = false).

Definition at line 519 of file Schedule.h.

## fold_forward

bool Halide::Internal::StorageDim::fold_forward

Definition at line 520 of file Schedule.h.

The documentation for this struct was generated from the following file:

- src/Schedule.h